Debian Bug report logs - #386222
lyskom-tty-client: FTBFS due to gettext 0.15, and another

version graph

Package: lyskom-tty-client; Maintainer for lyskom-tty-client is (unknown);

Reported by: Damián Viano <debian@damianv.com.ar>

Date: Wed, 6 Sep 2006 03:33:02 UTC

Severity: serious

Tags: fixed, patch

Found in version lyskom-tty-client/0.13.alfa.8-3

Fixed in version 0.13.alfa.8-3.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Karlsson <peterk@debian.org>:
Bug#386222; Package lyskom-tty-client. Full text and rfc822 format available.

Acknowledgement sent to Damián Viano <debian@damianv.com.ar>:
New Bug report received and forwarded. Copy sent to Peter Karlsson <peterk@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damián Viano <debian@damianv.com.ar>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lyskom-tty-client: FTBFS due to gettext 0.15, and another
Date: Wed, 6 Sep 2006 00:22:53 -0300
[Message part 1 (text/plain, inline)]
Package: lyskom-tty-client
Version: 0.13.alfa.8-3
Severity: serious
Tags: patch
Justification: no longer builds from source

 debian/rules build
dh_testdir
./configure --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info
configure: loading cache /dev/null
/dev/null: line 1: ./configure:: No such file or directory
checking for a BSD-compatible install... /usr/bin/install -c
...
if gcc -DLOCALEDIR=\"/usr/share/locale\" -DHAVE_CONFIG_H -I. -I. -I.. -DEDITOR='"/usr/bin/editor"' -I./../include -I./../librar
ies/libmisc -I./../libraries/libclient -I./../intl -I../intl    -g -O2  -MT do-printf.o -MD -MP -MF ".deps/do-printf.Tpo" -c -o
 do-printf.o do-printf.c; \
        then mv -f ".deps/do-printf.Tpo" ".deps/do-printf.Po"; else rm -f ".deps/do-printf.Tpo"; exit 1; fi
do-printf.c:165: error: conflicting types for 'round'
make[3]: *** [do-printf.o] Error 1
make[3]: Leaving directory `/home/des/lyskom-tty-client-0.13.alfa.8/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/des/lyskom-tty-client-0.13.alfa.8'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/des/lyskom-tty-client-0.13.alfa.8'
make: *** [build-stamp] Error 2

This is the first error which seems a clashing with round(3), fixing that gives
an error produced by gettext 0.15, both fixed in the attached patch.

-- 
Damián Viano(Des)              ¯ ¯ - _           _ - ¯ ¯
GPG: 0x6EB95A6F                 Debian ¯-_GNU_-¯ Linux
Web: http://damianv.com.ar/               ¯-¯
[lyskom-tty-client.patch (text/plain, inline)]
diff -Nura lyskom-tty-client-0.13.alfa.8/debian/rules /home/des/.pbuilder/build/7052/home/des/lyskom-tty-client-0.13.alfa.8/debian/rules
--- lyskom-tty-client-0.13.alfa.8/debian/rules	2006-09-03 12:54:09.000000000 -0300
+++ /home/des/.pbuilder/build/7052/home/des/lyskom-tty-client-0.13.alfa.8/debian/rules	2006-09-03 12:51:02.000000000 -0300
@@ -12,6 +12,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	sed 's/= @MKINSTALLDIRS@/= @install_sh@ -d/' -i po/Makefile.in.in
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 	touch configure-stamp
 
diff -Nura lyskom-tty-client-0.13.alfa.8/src/do-printf.c /home/des/.pbuilder/build/7052/home/des/lyskom-tty-client-0.13.alfa.8/src/do-printf.c
--- lyskom-tty-client-0.13.alfa.8/src/do-printf.c	2000-10-02 13:42:40.000000000 -0300
+++ /home/des/.pbuilder/build/7052/home/des/lyskom-tty-client-0.13.alfa.8/src/do-printf.c	2006-09-03 12:44:41.000000000 -0300
@@ -162,7 +162,7 @@
 
 /* Forward declarations */
 static int cvt(double, int, int, char *, unsigned char, char *, char *);
-static char *round(double, int *, char *, char *, char, char *);
+static char *my_round(double, int *, char *, char *, char, char *);
 static char *exponent(char *, int, unsigned char);
 
 
@@ -585,7 +585,7 @@
 					*t++ = tochar((int)tmp);
 				} while (--prec && fract);
 			if (fract)
-				startp = round(fract, (int *)NULL, startp,
+				startp = my_round(fract, (int *)NULL, startp,
 				    t - 1, (char)0, signp);
 		}
 		for (; prec--; *t++ = '0');
@@ -607,7 +607,7 @@
 			 */
 			if (!prec && ++p < endp) {
 				fract = 0.0;
-				startp = round((double)0, &expcnt, startp,
+				startp = my_round((double)0, &expcnt, startp,
 				    t - 1, *p, signp);
 			}
 			/* adjust expcnt for digit in front of decimal */
@@ -638,7 +638,7 @@
 					*t++ = tochar((int)tmp);
 				} while (--prec && fract);
 			if (fract)
-				startp = round(fract, &expcnt, startp,
+				startp = my_round(fract, &expcnt, startp,
 				    t - 1, (char)0, signp);
 		}
 		/* if requires more precision */
@@ -709,7 +709,7 @@
 				}
 			}
 			if (fract)
-				startp = round(fract, (int *)NULL, startp,
+				startp = my_round(fract, (int *)NULL, startp,
 				    t - 1, (char)0, signp);
 		}
 		/* alternate format, adds 0's for precision, else trim 0's */
@@ -725,7 +725,7 @@
 }
 
 static char *
-round(double fract, int *exp_val, char *start, char *end, char ch, char *signp)
+my_round(double fract, int *exp_val, char *start, char *end, char ch, char *signp)
 {
 	double tmp;
 

Blocking bugs of 385235 added: 386222 Request was from Damián Viano <debian@damianv.com.ar> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.13.alfa.8-3.1, send any further explanations to Damián Viano <debian@damianv.com.ar> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Damián Viano <debian@damianv.com.ar>:
Bug#386222. Full text and rfc822 format available.

Message #14 received at 386222-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 386081-submitter@bugs.debian.org, 386185-submitter@bugs.debian.org, 386201-submitter@bugs.debian.org, 386202-submitter@bugs.debian.org, 386222-submitter@bugs.debian.org, 386223-submitter@bugs.debian.org, 386229-submitter@bugs.debian.org, 386267-submitter@bugs.debian.org, 386305-submitter@bugs.debian.org, 386319-submitter@bugs.debian.org, 386491-submitter@bugs.debian.org, 386620-submitter@bugs.debian.org, 386707-submitter@bugs.debian.org, 386719-submitter@bugs.debian.org, 386829-submitter@bugs.debian.org, 386833-submitter@bugs.debian.org, 386902-submitter@bugs.debian.org, 387063-submitter@bugs.debian.org, 387094-submitter@bugs.debian.org, 387133-submitter@bugs.debian.org, 387220-submitter@bugs.debian.org, 387433-submitter@bugs.debian.org, 387972-submitter@bugs.debian.org, 387974-submitter@bugs.debian.org, 387983-submitter@bugs.debian.org, 388026-submitter@bugs.debian.org, 388082-submitter@bugs.debian.org, 388193-submitter@bugs.debian.org, 388314-submitter@bugs.debian.org, 388535-submitter@bugs.debian.org, 388605-submitter@bugs.debian.org, 388609-submitter@bugs.debian.org, 388661-submitter@bugs.debian.org, 388831-submitter@bugs.debian.org, 389171-submitter@bugs.debian.org, 389233-submitter@bugs.debian.org, 389246-submitter@bugs.debian.org, 389304-submitter@bugs.debian.org, 389350-submitter@bugs.debian.org, 389352-submitter@bugs.debian.org, 389375-submitter@bugs.debian.org, 389377-submitter@bugs.debian.org, 389387-submitter@bugs.debian.org, 389391-submitter@bugs.debian.org, 389458-submitter@bugs.debian.org, 389560-submitter@bugs.debian.org, 389609-submitter@bugs.debian.org, 389639-submitter@bugs.debian.org, 389640-submitter@bugs.debian.org, 389696-submitter@bugs.debian.org, 389760-submitter@bugs.debian.org, 389769-submitter@bugs.debian.org, 389965-submitter@bugs.debian.org, 389968-submitter@bugs.debian.org, 390008-submitter@bugs.debian.org, 390276-submitter@bugs.debian.org, 390304-submitter@bugs.debian.org, 390384-submitter@bugs.debian.org, 390390-submitter@bugs.debian.org, 390403-submitter@bugs.debian.org, 390416-submitter@bugs.debian.org, 390467-submitter@bugs.debian.org, 390560-submitter@bugs.debian.org, 390657-submitter@bugs.debian.org, 390666-submitter@bugs.debian.org, 390671-submitter@bugs.debian.org, 390969-submitter@bugs.debian.org, 391025-submitter@bugs.debian.org, 391157-submitter@bugs.debian.org, 391181-submitter@bugs.debian.org, 391190-submitter@bugs.debian.org, 391199-submitter@bugs.debian.org, 391201-submitter@bugs.debian.org, 391206-submitter@bugs.debian.org, 391208-submitter@bugs.debian.org, 391237-submitter@bugs.debian.org, 391257-submitter@bugs.debian.org, 391266-submitter@bugs.debian.org, 391291-submitter@bugs.debian.org, 391391-submitter@bugs.debian.org, 391465-submitter@bugs.debian.org, 391566-submitter@bugs.debian.org, 391601-submitter@bugs.debian.org, 391695-submitter@bugs.debian.org, 391696-submitter@bugs.debian.org, 391697-submitter@bugs.debian.org, 391749-submitter@bugs.debian.org, 391750-submitter@bugs.debian.org, 391752-submitter@bugs.debian.org, 391754-submitter@bugs.debian.org, 391755-submitter@bugs.debian.org, 391760-submitter@bugs.debian.org, 391766-submitter@bugs.debian.org, 391767-submitter@bugs.debian.org, 391782-submitter@bugs.debian.org, 391791-submitter@bugs.debian.org, 391808-submitter@bugs.debian.org, 391846-submitter@bugs.debian.org, 391848-submitter@bugs.debian.org, 392053-submitter@bugs.debian.org, 392154-submitter@bugs.debian.org, 392164-submitter@bugs.debian.org, 392166-submitter@bugs.debian.org, 392318-submitter@bugs.debian.org, 392422-submitter@bugs.debian.org, 392730-submitter@bugs.debian.org, 392734-submitter@bugs.debian.org, 392850-submitter@bugs.debian.org, 392855-submitter@bugs.debian.org, 393012-submitter@bugs.debian.org, 393044-submitter@bugs.debian.org, 393051-submitter@bugs.debian.org, 393388-submitter@bugs.debian.org, 393449-submitter@bugs.debian.org, 393726-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sat, 21 Oct 2006 23:44:56 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 386081 0.99.10-1.1
close 386185 6.5.0.cvs.20060524-1.1
close 386201 2.0.14-0.1
close 386202 2.0.14-0.1
close 386222 0.13.alfa.8-3.1
close 386223 0.13-13.2
close 386229 0.35-6.1
close 386267 2.0.5-1.1
close 386305 0.0.26-5.1
close 386319 1.2.0-3.2
close 386491 1.1-2.1
close 386620 0.3.8-5.1
close 386707 20060907.1
close 386719 2.0.5-1.1
close 386829 0.65.1
close 386833 0.15-1.2
close 386902 2.2.3-1.2
close 387063 2.6.4-2.1
close 387094 2.2.3-1.3
close 387133 2:1.0.0-9
close 387220 0.65.1
close 387433 1.3-1.2
close 387972 0.0.20060309-5.1
close 387974 0.0.20060309-5.1
close 387983 2:0.92-3.1
close 388026 2.8.5-1.2
close 388082 0.0.20060309-5.1
close 388314 1:0.3.7-3.1
close 388535 1.4.3.dfsg-1.2
close 388605 1.0.2-0.1
close 388609 0.3.7-4.2
close 388661 0.15-16.1
close 389171 1.23-1.1
close 389233 1.99.beta2.1
close 389246 2.7.7-12.1
close 389304 3.2.3-1.1
close 389350 2.0.4-2.1
close 389352 3.3.0-5.4
close 389375 2.4.0-4.2
close 389377 1.0.4-1.2
close 389387 2.6.2-24.1
close 389391 0.3.8-1.2
close 389458 0.35-6.1
close 389560 2:0.92-3.1
close 389609 1.2.4par-0.2
close 389639 1.1.1-0.2
close 389640 0.3.7-4.2
close 389696 0.6-2.1
close 389760 1.1.0+1.1.1-a021-1.1
close 389769 3.0.8-0.2
close 389965 4.4rc.2-3.1
close 389968 4.51.5-1.1
close 390008 0.9.6-1.1
close 390276 2.13~beta3-0.1
close 390304 0.2.0-1
close 390384 0.12-5.1
close 390390 2.8.8-1.1
close 390403 0.0.20040112.dfsg-0.2
close 390467 1.0.0-1.1
close 390560 6.5.1-0.2
close 390657 1.0+dfsg0-0.1
close 390666 0.4.5+dfsg0-0.1
close 390671 3.13-7.1
close 390969 0.2-2.2
close 391025 1.1.2-1.1
close 391157 2.2.0-3.1
close 391181 2.0.10.1.1
close 391190 0.09-1.1
close 391199 0.84-6.1
close 391201 1.0.1-2.1
close 391206 2003.00.00-2.1
close 391208 0.7-9.1
close 391237 5.6.3-2.1
close 391257 0.20.1-1.1
close 391266 1.5.12.1-19.1
close 391291 0.0.20060309-5.2
close 391391 0.12-2.2
close 391465 2.0-8.1
close 391566 1:1.6.1-7.1
close 391601 3:20020927-3.1
close 391695 0.4.6-0.1
close 391696 1:3.9.20060704-2.1
close 391697 2.0-6.1
close 391749 1.0-1.1
close 391750 2.0.2-2.2
close 391752 1.1.1-6.1
close 391754 4.4rc.2-3.1
close 391755 1.1.4-3.1
close 391760 4.996-5.0-rc7-1.1
close 391767 2.0.48-4-2.2
close 391782 0.4-1.1
close 391791 1.2.6-1.1
close 391808 3.5-1.2
close 391848 0.2.7.1-1.1
close 392053 0.5.0-1.4
close 392154 3.06.dfsg.1-0.1
close 392164 0.31-5.1
close 392166 1.2
close 392318 1.5.1.dfsg-2.1
close 392422 0.2.0-1
close 392730 0.4.6-0.2
close 392855 1.4.29-1
close 393012 0.4-1.1
close 393044 5.4.2-1.1
close 393051 1.9~b3-1
close 393388 0.4.5+dfsg0-0.1
close 393726 1.71.0.dfsg.1-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:15:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:45:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.